<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model('home_model');


				
	}

	public function index()
	{
		$data['new_projects'] = $this->home_model->new_projects();
        $data['new_all_properties_prices'] = $this->home_model->new_all_properties_prices();
        $data['new_apartments_prices'] = $this->home_model->new_apartments_prices();
        $data['new_townhouses_prices'] = $this->home_model->new_townhouses_prices();
        $data['new_penthouses_prices'] = $this->home_model->new_penthouses_prices();
        $data['new_villas_prices'] = $this->home_model->new_villas_prices();
        $data['developers_menu'] = $this->home_model->developers_menu();
        $data['areas_menu'] = $this->home_model->areas_menu();
        $data['waterfront_price'] = $this->home_model->waterfront_price();
        $data['beachfront_price'] = $this->home_model->beachfront_price();
        $data['ultraluxury_price'] = $this->home_model->ultraluxury_price();
        $data['golfcourse_price'] = $this->home_model->golfcourse_price();
        $data['branded_price'] = $this->home_model->branded_price();

		$data['url'] = 'http://localhost/admin.uae-offplan/';
		$data['homepage_title'] = $this->home_model->homepage_info();
		$data['dubai_properties'] = $this->home_model->dubai_properties();
		$data['developers_info'] = $this->home_model->developers_info();
		$data['blog_info_first'] = $this->home_model->blog_info_first();
		$data['blog_info_second'] = $this->home_model->blog_info_second();
		$data['faq'] = $this->home_model->homepage_faq();
		$data['featured_property'] = $this->home_model->featured_property();
		$data['latest_property'] = $this->home_model->latest_property();
		$data['property_types'] = $this->home_model->loadPropertyTypes();
		$data['developers'] = $this->home_model->loadDevelopers();
		$data['community'] = $this->home_model->loadCommunity();

		$this->load->view('include/header_page', $data);
		$this->load->view('home');
		$this->load->view('include/footer_page');
	}

	public function project_detail($slug)
	{
		$data['url'] = 'http://localhost/admin.uae-offplan/';
		$data['project_info'] = $this->home_model->getProjectDetail($slug);
		$data['bedroom_info'] = $this->home_model->getBedroomDetail($data['project_info']->property_id);

		$data['buy_property'] = $this->home_model->getBuyProperty($data['project_info']->property_name);

		

		$data['gallery'] = $this->home_model->loadGallery($data['project_info']->property_id);
		$data['exterior'] = $this->home_model->loadExteriorGallery($data['project_info']->property_id);
		$data['interior'] = $this->home_model->loadInteriorGallery($data['project_info']->property_id);
		$data['amenities'] = $this->home_model->loadAmenities($data['project_info']->property_id);
		$data['similar_property'] = $this->home_model->similar_property();
		$data['content_detail'] = $this->home_model->content_detail($data['project_info']->property_id);
		$data['nearby_detail'] = $this->home_model->nearby_detail($data['project_info']->property_id);



		$output ='';
		foreach($data['buy_property'] as $property){
         $usp=[];
         $data['usps_detail'] = $this->home_model->getPropertyUsps($property->property_id);


         foreach($data['usps_detail'] as $key => $usps){
         $usp [] = $usps->project_usps;
         }


         $output .= '<div class="item">
                <div class="listing-style1 p10">
                  <div class="list-thumb">
                     <a href="'.base_url('property/'.$property->property_id).'">
                    <img class="w-100" src="'.$data['url'].$property->cover_image.'" alt="">
                 </a>
                    <div>
                       <span class="payment-tag">Buy</span>
                       <span class="type-tag">'.$property->type_name.'</span>
                    </div>
                    <!-- <div class="list-price">'.$property->type_name.'</div> -->
                  </div>

                  <div class="list-content ms-2">
                     <div class="list-meta2 d-flex justify-content align-items-center mt-3 mb-4">
                      <span class="price-tag">'.(!empty($property->starting_price)?number_format($property->starting_price).' AED':'Ask for price').'</span>
                    </div>

                    <div class="d-flex">
                    <div class="d-flex flex-column" style="line-height: 20px;">
                      <div class="room me-4">
                        <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif;font-weight: 500;">'.ucwords($property->for_sale_bedroom).'
                            <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild3937-3539-4336-b563-376466386139/bedrooms-icon-black.svg" alt="" imgfield="tn_img_1703739342041" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                         </a>
                      </div>
                      <div class="bed">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Beds

                         </a>
                      </div>
                      </div>

                      <div class="d-flex flex-column" style="line-height: 20px;">
                        <div class="room-size">
                      <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif; font-weight: 500;">'.$property->max_size.'
                         
                         <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild6465-3666-4636-b636-343133396162/square-icon-black.svg" alt="" imgfield="tn_img_1703739514033" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                      </a>
                   </div>
                      
                      <div class="size">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Sq ft</a>
                      </div>
                      </div>
                      </div>
                      
                      <hr class="mt-2 mb-2">

                      
                    <h6 class="list-title"><a href="'.base_url('property/'.$property->property_id).'">'.implode(' | ',$usp).'</h6>
                    <p class="list-text"><i class="fa-solid fa-location-dot me-2"></i>'.$property->community_name.'</p>
                 </a>
                    
                    <a href="'.base_url('property/'.$property->property_id).'">
                    
                 </a>
                    <div class="card-footer d-flex align-items-center ">
                         <span class="card-call me-3"><a class="call" href="tel:971524474422">
                            <img src="'.base_url('assets/images/icons/phone-call-svgrepo-c.svg').'" alt="">
                         </a></span>

                         <span class="card-call me-3"><a href="https://wa.me/971524474422?text=Hi%20There,%20I%27m%20interested%20in%20'.$property->property_name.'%20by%20.%20Kindly%20send%20me%20more%20information.%20Thank%20you!%20'.base_url('property/'.$property->property_id).'" target="_blank">
                            <img src="'.base_url('assets/images/icons/icons8-whatsapp.svg').'" alt="">
                         </a></span>

                         <span class="card-call"><a href="#popup:project_catalog" role="button" aria-haspopup="dialog">
                            <img src="'.base_url('assets/images/icons/email-svgrepo-com.svg').'" alt="">
                         </a></span>

                         <span class="card-text" style="margin-left: auto;"><a href="'.base_url('property/'.$property->slug).'">More Details <i class="far fa-arrow-right-long"></i></a></span>
                      </div>
                  </div>
                </div>
              </div>';
           
              
            }

            $data['output'] = $output;

		$this->load->view('project-detail', $data);
	}
}
