<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends MY_Controller {

	// public function __construct()
	// {
	// 	parent::__construct();
	// 	$this->load->model('home_model');
	// }

	public function index()
	{
		$this->data['homepage_title'] = $this->home_model->homepage_info();
		$this->data['dubai_properties'] = $this->home_model->dubai_properties();
		$this->data['developers_info'] = $this->home_model->developers_info();
		$this->data['blog_info_first'] = $this->home_model->blog_info_first();
		$this->data['blog_info_second'] = $this->home_model->blog_info_second();
		$this->data['faq'] = $this->home_model->homepage_faq();
		$this->data['featured_property'] = $this->home_model->featured_property();
		$this->data['latest_property'] = $this->home_model->latest_property();
		$this->data['property_types'] = $this->home_model->loadPropertyTypes();
		$this->data['developers'] = $this->home_model->loadDevelopers();
		$this->data['community'] = $this->home_model->loadCommunity();



      //MAP DATA
      $fetchMapAllProperties = $this->home_model->fetchMapAllProperties();

      $this->data['map_data']=[];
      foreach ($fetchMapAllProperties as $value) {
         $this->data['map_data'][]=[
            'lat' => $value['latitude'],
            'lng' => $value['longitude'],
            'cover_image' => $value['cover_image'],
            'property_name' => $value['property_name'],
            'slug' => $value['slug'],

         ];
      }

      $this->data['site_title'] = $this->data['homepage_title']->meta_title ;
      $this->data['site_description'] = $this->data['homepage_title']->meta_desc;
      $this->data['site_keywords'] = $this->data['homepage_title']->meta_keywords;

      // Set the custom cache path for controllers
        $this->output->cache(30);

		$this->load->view('include/header_page', $this->data);
      $this->load->view('support/golden_visa_form');
		$this->load->view('home');
		$this->load->view('include/footer_page');
	}

   public function fetch_search_data($query)
   {
      // echo $this->home_model->fetch_search_data(urldecode($this->uri->segment(3)));
      // $query = $this->input->post('query');

      $result = $this->home_model->fetch_search_data(urldecode($query));
      // $output = '';
        $output = '<ul class="list-unstyled">';
        

       
      if ($result != false)
      {
         // $output .= '<li><b>All result '.$query.'</b>'; 
         $output .= '<li>All Result with<b>"'.urldecode($query).'"</b></span></li>';
         foreach($result as $row)
           {
               $output .= '<li class="other">'.$row["developer_name"]. ' ' .'<b>'.$row["property_name"].'</b></li>';
               // $output .= '<li>'.$row["developer_name"].'</li>';
               // $output .= '<li>'.$row["community_name"].'</li>';
               // $output .= '<li>'.$row["developer_name"]. ' ' .'<b>'.$row["type_name"].'</b></li>';
           }

        }else{
            $output .= '<center><strong>Not found anything.</strong><br>Try changing the filter settings</center>';
        }
        
        
        $output .= '</ul>';
        echo $output;
      
   }

	public function project_detail($slug)
	{

		$this->data['project_info'] = $this->home_model->getProjectDetail($slug);

		$this->data['bedroom_info'] = $this->home_model->getBedroomDetail($this->data['project_info']->property_id);

		$this->data['buy_property'] = $this->home_model->getBuyProperty($this->data['project_info']->property_name);

		$this->data['gallery'] = $this->home_model->loadGallery($this->data['project_info']->property_id);
		$this->data['exterior'] = $this->home_model->loadExteriorGallery($this->data['project_info']->property_id);
		$this->data['interior'] = $this->home_model->loadInteriorGallery($this->data['project_info']->property_id);
		$this->data['amenities'] = $this->home_model->loadAmenities($this->data['project_info']->property_id);
		$this->data['similar_property'] = $this->home_model->similar_property();
		$this->data['content_detail'] = $this->home_model->content_detail($this->data['project_info']->property_id);
		$this->data['nearby_detail'] = $this->home_model->nearby_detail($this->data['project_info']->property_id);


		$output ='';
		foreach($this->data['buy_property'] as $property){
         $usp=[];
         $this->data['usps_detail'] = $this->home_model->getPropertyUsps($property->property_id);


         foreach($this->data['usps_detail'] as $key => $usps){
         $usp [] = $usps->project_usps;
         }


         $output .= '<div class="item">
                <div class="listing-style1 p10">
                  <div class="list-thumb">
                     <a href="'.base_url('property/'.$property->property_id).'">
                    <img class="w-100" src="'.$this->data['url'].$property->cover_image.'" alt="">
                 </a>
                    <div>
                       <span class="payment-tag">Buy</span>
                       <span class="type-tag">'.$property->type_name.'</span>
                    </div>
                    <!-- <div class="list-price">'.$property->type_name.'</div> -->
                  </div>

                  <div class="list-content ms-2">
                     <div class="list-meta2 d-flex justify-content align-items-center mt-3 mb-4">
                      <span class="price-tag">'.(!empty($property->starting_price)?number_format($property->starting_price).' AED':'Ask for price').'</span>
                    </div>

                    <div class="d-flex">
                    <div class="d-flex flex-column" style="line-height: 20px;">
                      <div class="room me-4">
                        <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif;font-weight: 500;">'.ucwords($property->for_sale_bedroom).'
                            <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild3937-3539-4336-b563-376466386139/bedrooms-icon-black.svg" alt="" imgfield="tn_img_1703739342041" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                         </a>
                      </div>
                      <div class="bed">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Beds

                         </a>
                      </div>
                      </div>

                      <div class="d-flex flex-column" style="line-height: 20px;">
                        <div class="room-size">
                      <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif; font-weight: 500;">'.$property->max_size.'
                         
                         <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild6465-3666-4636-b636-343133396162/square-icon-black.svg" alt="" imgfield="tn_img_1703739514033" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                      </a>
                   </div>
                      
                      <div class="size">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Sq ft</a>
                      </div>
                      </div>
                      </div>
                      
                      <hr class="mt-2 mb-2">

                      
                    <h6 class="list-title"><a href="'.base_url('property/'.$property->property_id).'">'.implode(' | ',$usp).'</h6>
                    <p class="list-text"><i class="fa-solid fa-location-dot me-2"></i>'.$property->community_name.'</p>
                 </a>
                    
                    <a href="'.base_url('property/'.$property->property_id).'">
                    
                 </a>
                    <div class="card-footer d-flex align-items-center ">
                         <span class="card-call me-3"><a class="call" href="tel:971524474422">
                            <img src="'.base_url('assets/images/icons/phone-call-svgrepo-c.svg').'" alt="">
                         </a></span>

                         <span class="card-call me-3"><a href="https://wa.me/971524474422?text=Hi%20There,%20I%27m%20interested%20in%20'.$property->property_name.'%20by%20.%20Kindly%20send%20me%20more%20information.%20Thank%20you!%20'.base_url('property/'.$property->property_id).'" target="_blank">
                            <img src="'.base_url('assets/images/icons/icons8-whatsapp.svg').'" alt="">
                         </a></span>

                         <span class="card-call"><a href="#popup:project_catalog" onclick="popupforsale(\''.$property->project_name.'\', \''.$property->for_sale_bedroom.' Br\', \''.$property->max_size.'\', \''.$property->community_name.'\', \''.$property->starting_price.'\')" role="button" aria-haspopup="dialog">
                            <img src="'.base_url('assets/images/icons/email-svgrepo-com.svg').'" alt="">
                         </a></span>

                         <span class="card-text" style="margin-left: auto;"><a href="'.base_url('property/'.$property->slug).'">More Details <i class="far fa-arrow-right-long"></i></a></span>
                      </div>
                  </div>
                </div>
              </div>';
           
              
            }

            $this->data['output'] = $output;

      $this->data['site_title'] = $this->data['project_info']->meta_title ;
      $this->data['site_description'] = $this->data['project_info']->meta_desc;
      $this->data['site_keywords'] = $this->data['project_info']->meta_keywords;
		$this->load->view('project-detail', $this->data);
	}

   public function projects()
   {
      $this->data['for_sale_proeprty'] = $this->home_model->getForSaleProperty();
      $this->data['projects_page'] = $this->home_model->getProjectsPage();
      $this->data['project_content_detail'] = $this->home_model->getProjectsContentDetail();

      $output ='';
      foreach($this->data['for_sale_proeprty'] as $property){
         $usp=[];
         $this->data['usps_detail'] = $this->home_model->getPropertyUsps($property->property_id);


         foreach($this->data['usps_detail'] as $key => $usps){
         $usp [] = $usps->project_usps;
         }


         $output .= '<div class="item">
                <div class="listing-style1">
                  <div class="list-thumb">
                     <a href="'.base_url('property/'.$property->property_id).'">
                    <img class="w-100" src="'.$this->data['url'].$property->cover_image.'" alt="">
                 </a>
                    <div>
                       <span class="payment-tag">Buy</span>
                       <span class="type-tag">'.$property->type_name.'</span>
                    </div>
                    <!-- <div class="list-price">'.$property->type_name.'</div> -->
                  </div>

                  <div class="list-content">
                     <div class="list-meta2 d-flex justify-content align-items-center mt-3 mb-4">
                      <span class="price-tag">'.(!empty($property->starting_price)?number_format($property->starting_price).' AED':'Ask for price').'</span>
                    </div>

                    <div class="d-flex">
                    <div class="d-flex flex-column" style="line-height: 20px;">
                      <div class="room me-4">
                        <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif;font-weight: 500;">'.ucwords($property->for_sale_bedroom).'
                            <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild3937-3539-4336-b563-376466386139/bedrooms-icon-black.svg" alt="" imgfield="tn_img_1703739342041" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                         </a>
                      </div>
                      <div class="bed">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Beds

                         </a>
                      </div>
                      </div>

                      <div class="d-flex flex-column" style="line-height: 20px;">
                        <div class="room-size">
                      <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif; font-weight: 500;">'.$property->max_size.'
                         
                         <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild6465-3666-4636-b636-343133396162/square-icon-black.svg" alt="" imgfield="tn_img_1703739514033" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                      </a>
                   </div>
                      
                      <div class="size">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Square (ft)</a>
                      </div>
                      </div>
                      </div>
                      
                      <hr class="mt-2 mb-2">

                      
                    <h6 class="list-title"><a href="'.base_url('property/'.$property->property_id).'">'.implode(' | ',$usp).'</h6>
                    <p class="list-text"><i class="fa-solid fa-location-dot me-2"></i>'.$property->community_name.'</p>
                 </a>
                    
                    <a href="'.base_url('property/'.$property->property_id).'">
                    
                 </a>
                    <div class="card-footer d-flex align-items-center ">
                         <span class="card-call me-3"><a class="call" href="tel:971524474422">
                            <img src="'.base_url('assets/images/icons/phone-call-svgrepo-c.svg').'" alt="">
                         </a></span>

                         <span class="card-call me-3"><a href="https://wa.me/971524474422?text=Hi%20There,%20I%27m%20interested%20in%20'.$property->property_name.'%20by%20.%20Kindly%20send%20me%20more%20information.%20Thank%20you!%20'.base_url('property/'.$property->property_id).'" target="_blank">
                            <img src="'.base_url('assets/images/icons/icons8-whatsapp.svg').'" alt="">
                         </a></span>

                         <span class="card-call"><a href="#popup:property_book_vieweing" role="button" aria-haspopup="dialog">
                            <img src="'.base_url('assets/images/icons/email-svgrepo-com.svg').'" alt="">
                         </a></span>

                         <span class="card-text" style="margin-left: auto;"><a href="'.base_url('property/'.$property->slug).'">More Details <i class="far fa-arrow-right-long"></i></a></span>
                      </div>
                  </div>
                </div>
              </div>';
           
              
            }

            $this->data['output'] = $output;

            $this->data['featured_property'] = $this->home_model->featured_property();
            $this->data['cities_properties'] = $this->home_model->cities_properties();
            $this->data['developers_info'] = $this->home_model->developers_info();
            $this->data['faq'] = $this->home_model->homepage_faq();

        //     $this->data['new_projects'] = $this->home_model->new_projects();
        //     $this->data['new_all_properties_prices'] = $this->home_model->new_all_properties_prices();
        // $this->data['new_apartments_prices'] = $this->home_model->new_apartments_prices();
        // $this->data['new_townhouses_prices'] = $this->home_model->new_townhouses_prices();
        // $this->data['new_penthouses_prices'] = $this->home_model->new_penthouses_prices();
        // $this->data['new_villas_prices'] = $this->home_model->new_villas_prices();
        // $this->data['developers_menu'] = $this->home_model->developers_menu();
        // $this->data['areas_menu'] = $this->home_model->areas_menu();
        // $this->data['waterfront_price'] = $this->home_model->waterfront_price();
        // $this->data['beachfront_price'] = $this->home_model->beachfront_price();
        // $this->data['ultraluxury_price'] = $this->home_model->ultraluxury_price();
        // $this->data['golfcourse_price'] = $this->home_model->golfcourse_price();
        // $this->data['branded_price'] = $this->home_model->branded_price();

        $this->data['property_types'] = $this->home_model->loadPropertyTypes();
      $this->data['developers'] = $this->home_model->loadDevelopers();
      $this->data['community'] = $this->home_model->loadCommunity();

      $this->data['site_title'] = $this->data['projects_page']->meta_title;
      $this->data['site_description'] = $this->data['projects_page']->meta_desc;
      $this->data['site_keywords'] = $this->data['projects_page']->meta_keywords;

      //MAP DATA
      $fetchMapAllProperties = $this->home_model->fetchMapAllProperties();

      $this->data['map_data']=[];
      foreach ($fetchMapAllProperties as $value) {
         $this->data['map_data'][]=[
            'lat' => $value['latitude'],
            'lng' => $value['longitude'],
            'cover_image' => $value['cover_image'],
            'property_name' => $value['property_name'],
            'slug' => $value['slug'],

         ];
      }

      $this->data['loadData'] = $this->home_model->loadCitiesDetail();

      $this->load->view('include/header_page', $this->data);
      $this->load->view('projects');
      $this->load->view('include/footer_page');
   }

   public function loadCitiesDetailOther()
   {

      $this->data['loadData'] = $this->home_model->loadCitiesDetailOther();
            
      if (!empty($this->data['loadData'])>0)

      {

      $output = '';
      $output .= '<div class="d-flex">';

      foreach($this->data['loadData'] as $key => $value)
      {

         $output .= '<a href="'.base_url($value->slug).'" title="">
                  <div class="single-card">
                  <h3>Projects in '.$value->city_name.' from AED '.nice_number($value->price).'</h3>
                  <p>'.$value->count_property.' new projects</p>
               </div></a>
              
               
                  
            ';
      }
      $output .= '</div>';
      echo $output;
       
   }else{
      $output = 'false';
      $this->output
            ->set_content_type('application/json')
            ->set_output(json_encode($output));
   }
}




   public function project_type_page($city, $type)
   {
      $slug = $city.'/'.$type;

      // $data['types_with_cities'] = $this->home_model->getTypesWithCities($slug);
      $this->data['for_sale_property'] = $this->home_model->getSaleProperty($type);

      $this->data['new_projects'] = $this->home_model->new_projects();
        $this->data['new_all_properties_prices'] = $this->home_model->new_all_properties_prices();
        $this->data['new_apartments_prices'] = $this->home_model->new_apartments_prices();
        $this->data['new_townhouses_prices'] = $this->home_model->new_townhouses_prices();
        $this->data['new_penthouses_prices'] = $this->home_model->new_penthouses_prices();
        $this->data['new_villas_prices'] = $this->home_model->new_villas_prices();
        $this->data['developers_menu'] = $this->home_model->developers_menu();
        $this->data['areas_menu'] = $this->home_model->areas_menu();
        $this->data['waterfront_price'] = $this->home_model->waterfront_price();
        $this->data['beachfront_price'] = $this->home_model->beachfront_price();
        $this->data['ultraluxury_price'] = $this->home_model->ultraluxury_price();
        $this->data['golfcourse_price'] = $this->home_model->golfcourse_price();
        $this->data['branded_price'] = $this->home_model->branded_price();


        $this->data['types_with_cities_info'] = $this->home_model->types_with_cities_info($slug);

        $this->data['types_with_cities_sale_info'] = $this->home_model->types_with_cities_sale_info($slug);



      $output ='';

      $output .= '<div class="container">
               <div class="row">
          <div class="col-lg-12 wow fadeInUp" data-wow-delay="300ms">
            <div class="feature-listing-slider navi_pagi_bottom_center slider-dib-sm slider-3-grid owl-carousel owl-theme">';
            

      foreach($this->data['for_sale_property'] as $property){
         $usp=[];
         $this->data['usps_detail'] = $this->home_model->getPropertyUsps($property->property_id);
         foreach($this->data['usps_detail'] as $key => $usps){
         $usp [] = $usps->project_usps;
         }

         $output .= '<div class="item">
                <div class="listing-style1">
                  <div class="list-thumb">
                     <a href="'.base_url('property/'.$property->property_id).'">
                    <img class="w-100" src="'.$this->data['url'].$property->cover_image.'" alt="">
                 </a>
                    <div>
                       <span class="payment-tag">Buy</span>
                       <span class="type-tag">'.$property->type_name.'</span>
                    </div>
                    <!-- <div class="list-price">'.$property->type_name.'</div> -->
                  </div>

                  <div class="list-content">
                     <div class="list-meta2 d-flex justify-content align-items-center mt-3 mb-4">
                      <span class="price-tag">'.(!empty($property->starting_price)?number_format($property->starting_price).' AED':'Ask for price').'</span>
                    </div>

                    <div class="d-flex">
                    <div class="d-flex flex-column" style="line-height: 20px;">
                      <div class="room me-4">
                        <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif;font-weight: 500;">'.ucwords($property->for_sale_bedroom).'
                            <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild3937-3539-4336-b563-376466386139/bedrooms-icon-black.svg" alt="" imgfield="tn_img_1703739342041" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                         </a>
                      </div>
                      <div class="bed">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Beds

                         </a>
                      </div>
                      </div>

                      <div class="d-flex flex-column" style="line-height: 20px;">
                        <div class="room-size">
                      <a href="" style="color:#000000; font-size: 20px; font-family: "Ubuntu",Arial,sans-serif; font-weight: 500;">'.$property->max_size.'
                         
                         <img class="tn-atom__img ms-2" src="https://static.tildacdn.com/tild6465-3666-4636-b636-343133396162/square-icon-black.svg" alt="" imgfield="tn_img_1703739514033" style="width: 20px!important; height:20px; float:right ; margin: -2px;">
                      </a>
                   </div>
                      
                      <div class="size">
                         <a href="" style="color:#78777a; font-size: 14px; font-family: "Ubuntu",Arial,sans-serif;">Square (ft)</a>
                      </div>
                      </div>
                      </div>
                      
                      <hr class="mt-2 mb-2">

                      
                    <h6 class="list-title"><a href="'.base_url('property/'.$property->property_id).'">'.implode(' | ',$usp).'</h6>
                    <p class="list-text"><i class="fa-solid fa-location-dot me-2"></i>'.$property->community_name.'</p>
                 </a>
                    
                    <a href="'.base_url('property/'.$property->property_id).'">
                    
                 </a>
                    <div class="card-footer d-flex align-items-center ">
                         <span class="card-call me-3"><a class="call" href="tel:971524474422">
                            <img src="'.base_url('assets/images/icons/phone-call-svgrepo-c.svg').'" alt="">
                         </a></span>

                         <span class="card-call me-3"><a href="https://wa.me/971524474422?text=Hi%20There,%20I%27m%20interested%20in%20'.$property->property_name.'%20by%20.%20Kindly%20send%20me%20more%20information.%20Thank%20you!%20'.base_url('property/'.$property->property_id).'" target="_blank">
                            <img src="'.base_url('assets/images/icons/icons8-whatsapp.svg').'" alt="">
                         </a></span>

                         <span class="card-call"><a href="#popup:property_book_vieweing" role="button" aria-haspopup="dialog">
                            <img src="'.base_url('assets/images/icons/email-svgrepo-com.svg').'" alt="">
                         </a></span>

                         <span class="card-text" style="margin-left: auto;"><a href="'.base_url('property/'.$property->slug).'">More Details <i class="far fa-arrow-right-long"></i></a></span>
                      </div>
                  </div>
                </div>
              </div>';
           
              
            }

            $output .= '</div>
          </div>
        </div>
            </div>';

            $this->data['output'] = $output;

            $this->data['site_title'] = $this->data['types_with_cities_info']->meta_title ;
      $this->data['site_description'] = $this->data['types_with_cities_info']->meta_desc;
      $this->data['site_keywords'] = $this->data['types_with_cities_info']->meta_keywords;

      //MAP DATA
      $fetchMapAllProperties = $this->home_model->fetchMapAllPropertiesTypes($city, $type);

      $this->data['map_data']=[];
      foreach ($fetchMapAllProperties as $value) {
         $this->data['map_data'][]=[
            'lat' => $value['latitude'],
            'lng' => $value['longitude'],
            'cover_image' => $value['cover_image'],
            'property_name' => $value['property_name'],
            'slug' => $value['slug'],

         ];
      }

      $this->data['dubai_properties'] = $this->home_model->dubai_properties();
      $this->data['developers_info'] = $this->home_model->developers_info();
      $this->data['loadCommunities'] = $this->home_model->loadCommunitiesDetail();
      $this->data['property_types'] = $this->home_model->loadPropertyTypes();
      $this->data['developers'] = $this->home_model->loadDevelopers();
      $this->data['community'] = $this->home_model->loadCommunity();
      $this->data['projects_page'] = $this->home_model->getProjectsPage();
      $this->data['project_content_detail'] = $this->home_model->getProjectsContentDetail();
      
      $this->load->view('include/header_page', $this->data);
      $this->load->view('project-type-page');
      $this->load->view('include/footer_page');
   }

   public function loadCommunitiesDetailOther($page)
   {

      $limit = 4;
      if ($page == 0)
      {
         $offset = 0;
      }else{
         $offset = ($page - 1) * $limit;
      }
     

      $this->data['loadCommunities'] = $this->home_model->loadCommunitiesDetailOther($offset, $limit);
            
      if (!empty($this->data['loadCommunities'])>0)

      {

      $output = '';
      $output .= '<div class="d-flex mb-3">';

      foreach($this->data['loadCommunities'] as $key => $value)
      {

         $output .= '<a href="'.base_url('development/'.$value->slug).'" title="">
                  <div class="single-card">
                  <h3>Projects in '.$value->community_name.' from AED '.nice_number($value->price).'</h3>
                  <p>'.$value->count_property.' new projects</p>
               </div></a>
              
               
                  
            ';
      }
      $output .= '</div>';
      echo $output;
       
   }else{
      $output = 'false';
      $this->output
            ->set_content_type('application/json')
            ->set_output(json_encode($output));
   }
}

   public function loadOffplanProperties($page = 1, $sort = 'asc', $city_name, $type_name)
   {
      $city_id = $this->home_model->getCityID($city_name);
      $type_id = $this->home_model->getTypeID($type_name);

      $limit = 12;
      $offset = ($page - 1) * $limit;
      
      $all_new_properties = $this->home_model->load_offplan_properties($city_id, $type_id, $offset, $limit, $sort, $count=false);

      $total = $this->home_model->load_offplan_properties($city_id, $type_id, $offset, $limit, $sort, $count=true);

      $output = '';
      $output .= '<div class="container"><div class="row">';

      foreach($all_new_properties as $property)
      {
         $output .= '<div class="col-md-4 col-sm-6 col-lg-4 col-12"><div class="item">
                <div class="listing-style1">
                  <div class="list-thumb">
                     <a href="'.base_url('property/'.$property->slug).'">
                    <img class="w-100" src="'.$this->data['url'].$property->cover_image.'" alt="">
                 </a>
                    
                    <div class="payment-tag">50/50 Payment Plan</div>
                    <div class="list-price">'.$property->type_name.'</div>
                  </div>
                  <div class="list-content">
                    <h6 class="list-title"><a href="'.base_url('property/'.$property->slug).'">'.$property->property_name.'</h6>
                    <p class="list-text"><i class="fa-solid fa-location-dot me-2"></i>'.$property->community_name.'</p>
                 </a>

                   
                    <hr class="mt-2 mb-2">
                    <a href="'.base_url('property/'.$property->slug).'">
                    <div class="list-meta2 d-flex justify-content align-items-center mt-3 mb-3">
                    '.(!empty($property->starting_price)?'<span class="for-what">From <br> AED</span> <span class="price-tag ms-3">'.nice_number($property->starting_price).'</span>':'<span style="font-size:28px!important;" class="price-tag ms-3">Ask for price</span>').'
                
                      
                    </div>
                 </a>
                    <div class="card-footer d-flex align-items-center ">
                         <span class="card-call me-3"><a class="call" href="tel:971524474422">
                            <img src="'.base_url('assets/images/icons/phone-call-svgrepo-c.svg').'" alt="">
                         </a></span>

                         <span class="card-call me-3"><a href="https://wa.me/971524474422?text=Hi%20There,%20I%27m%20interested%20in%20'.$property->property_name.'%20by%20'.$property->developer_name.'.%20Kindly%20send%20me%20more%20information.%20Thank%20you!%20'.base_url('property/'.$property->slug).'" target="_blank">
                            <img src="'.base_url('assets/images/icons/icons8-whatsapp.svg').'" alt="">
                         </a></span>

                         <span class="card-call"><a href="#popup:project_catalog" role="button" aria-haspopup="dialog">
                            <img src="'.base_url('assets/images/icons/email-svgrepo-com.svg').'" alt="">
                         </a></span>

                         <span class="card-text" style="margin-left: auto;"><a href="'.base_url('property/'.$property->slug).'">More Details <i class="far fa-arrow-right-long"></i></a></span>
                      </div>
                  </div>
                </div>
              </div></div>';
             }
             $output .= '</div></div>';


             echo json_encode(array('output'=>$output,'recCount'=>$total));

      // $this->data['offplan-properties'] = $this->output
      //       ->set_content_type('application/json')
      //       ->set_output(json_encode($output));
   }


}
